Skip to main content
GET
/
credentials
/
{id}
Get credential by id
curl --request GET \
  --url https://test.didxtech.com/me-creds/api/credentials/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "cm7d9cq5600pwk3zq3kmpg8uc",
    "status": "offered",
    "error": null,
    "credentials": [
      {
        "id": "cm7d9cq5600pzk3zq9wzxxtc3",
        "status": "offered",
        "credentialTemplateId": "cm2ytsdid009u4ke3t30aiuvc",
        "exchange": "openid4vc",
        "format": "sd-jwt-vc",
        "revocable": false
      }
    ],
    "createdAt": "2025-02-20T11:27:37.051Z",
    "updatedAt": "2025-02-20T11:27:37.051Z",
    "offerUri": "https://paradym.id/invitation?credential_offer_uri=https%3A%2F%2Fparadym.id%2Finvitation%2F92d2a85d-3eb6-44cb-9526-220e0ef9d728%2Foffers%2F35c223ca-359a-48b5-a9f0-c5078d0858a1%3Fraw%3Dtrue",
    "offerQrUri": "https://paradym.id/invitation?credential_offer_uri=https%3A%2F%2Fparadym.id%2Finvitation%2F92d2a85d-3eb6-44cb-9526-220e0ef9d728%2Foffers%2F35c223ca-359a-48b5-a9f0-c5078d0858a1%3Fraw%3Dtrue&qr=true"
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "related": "<string>"
  },
  "meta": {},
  "errors": [
    {
      "detail": "<string>",
      "id": "<string>",
      "status": "<string>",
      "code": "<string>",
      "title": "<string>",
      "source": {
        "pointer": "<string>",
        "parameter": "<string>"
      },
      "meta": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Credential resource

data
object
required
Example:
{
"id": "cm7d9cq5600pwk3zq3kmpg8uc",
"status": "offered",
"error": null,
"credentials": [
{
"id": "cm7d9cq5600pzk3zq9wzxxtc3",
"status": "offered",
"credentialTemplateId": "cm2ytsdid009u4ke3t30aiuvc",
"exchange": "openid4vc",
"format": "sd-jwt-vc",
"revocable": false
}
],
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"offerUri": "https://paradym.id/invitation?credential_offer_uri=https%3A%2F%2Fparadym.id%2Finvitation%2F92d2a85d-3eb6-44cb-9526-220e0ef9d728%2Foffers%2F35c223ca-359a-48b5-a9f0-c5078d0858a1%3Fraw%3Dtrue",
"offerQrUri": "https://paradym.id/invitation?credential_offer_uri=https%3A%2F%2Fparadym.id%2Finvitation%2F92d2a85d-3eb6-44cb-9526-220e0ef9d728%2Foffers%2F35c223ca-359a-48b5-a9f0-c5078d0858a1%3Fraw%3Dtrue&qr=true"
}
meta
object
errors
object[]